Package org.silverpeas.components.datawarning

## Class DataWarningRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.silverpeas.core.exception.SilverpeasRuntimeException
        - - org.silverpeas.components.datawarning.DataWarningRuntimeException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class DataWarningRuntimeException
      extends org.silverpeas.core.exception.SilverpeasRuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasRuntimeException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningRuntimeException​(String callingClass, int errorLevel, String message)` |
    `DataWarningRuntimeException​(String callingClass, int errorLevel, String message, Exception nested)` |
    `DataWarningRuntimeException​(String callingClass, int errorLevel, String message, String extraParams)` |
    `DataWarningRuntimeException​(String callingClass, int errorLevel, String message, String extraParams, Exception nested)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` |

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasRuntimeException

      `getErrorLevel, getMessageLang, getMessageLang, getNested, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningRuntimeException

          public DataWarningRuntimeException​(String callingClass,
                                             int errorLevel,
                                             String message)

    - #### DataWarningRuntimeException

          public DataWarningRuntimeException​(String callingClass,
                                             int errorLevel,
                                             String message,
                                             String extraParams)

    - #### DataWarningRuntimeException

          public DataWarningRuntimeException​(String callingClass,
                                             int errorLevel,
                                             String message,
                                             Exception nested)

    - #### DataWarningRuntimeException

          public DataWarningRuntimeException​(String callingClass,
                                             int errorLevel,
                                             String message,
                                             String extraParams,
                                             Exception nested)

  - ### Method Detail

    - #### getModule

          public String getModule()